<?php

namespace App\Http\Controllers\Views;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Novedad;
use App\Oferta;

class NovedadController extends Controller
{
    public function index() 
    {
        // $novedades = Novedad::orderBy('id', 'DESC')->get();
        $principal = Novedad::where('tipos_novedad_id', 3)->first();
        $destacadas = Novedad::where('tipos_novedad_id', 2)->get();

        $novedades = Novedad::where('tipos_novedad_id', 1)->get();

        $ofertas = Oferta::orderBy('updated_at', 'DESC')->get()->take(5);

        return view('web.novedades.index', compact('principal', 'destacadas', 'novedades', 'ofertas'));
    }

    public function show($id) 
    {
        $novedad = Novedad::find($id);

        $novedades = Novedad::orderBy('updated_at', 'DESC')->where('id', '<>', $id)->get()->take(5);

        $ofertas = Oferta::orderBy('updated_at', 'DESC')->get()->take(5);

        return view('web.novedades.show', compact('novedad', 'novedades', 'ofertas'));
    }
}